ZIP_GET_NUM_ENTRIES(3)

NAME
zip_get_num_entries - get number of files in archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_uint64_t zip_get_num_entries(struct zip *archive, int flags);

DESCRIPTION
The zip_get_num_entries function returns the number of files in archive. If flags is set to ZIP_FL_UNCHANGED, the original number of entries is returned.

RETURN VALUES
zip_get_num_entries returns the number of files in the zip archive, or -1 if archive is NULL.

SEE ALSO
libzip(3), zip_fopen_index(3), zip_stat_index(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>